Bug 1251940 - Review Request: libebur128 - A library implementing the EBU R128 loudness standard
Review Request: libebur128 - A library implementing the EBU R128 loudness sta...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nikos Mavrogiannopoulos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 07:24 EDT by Christopher Meng
Modified: 2016-11-18 04:24 EST (History)
2 users (show)

See Also:
Fixed In Version: libebur128-1.0.2-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 23:08:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nmavrogi: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2015-08-10 07:24:39 EDT
Spec URL: http://cicku.me/libebur128.spec
SRPM URL: http://cicku.me/libebur128-1.0.2-1.fc24.src.rpm
Description: libebur128 is a library that implements the EBU R 128 standard for loudness normalisation.

** Features

* Portable ANSI C code
* Implements M, S and I modes
* Implements loudness range measurement (EBU - TECH 3342)
* True peak scanning
* Supports all samplerates by recalculation of the filter coefficients

Fedora Account System Username: cicku
Comment 1 Nikos Mavrogiannopoulos 2015-08-14 07:29:43 EDT
There seems to be something wrong with the .src.rpm. I get the errors below by fedora-review, although if I make my own src.rpm it works file.

INFO: Using review directory: /home/nmavrogi/review/1251940-libebur128
INFO: Downloading .spec and .srpm files
INFO: Downloading (Source0): https://github.com/jiixyj/libebur128/archive/v1.0.2.tar.gz#/libebur128-1.0.2.tar.gz
INFO: Running checks and generating report
ERROR: Exception(/home/nmavrogi/review/1251940-libebur128/srpm/libebur128-1.0.2-1.fc24.src.rpm) Config(fedora-21-x86_64) 0 minutes 5 seconds
INFO: Results and/or logs in: /home/nmavrogi/review/1251940-libebur128/results
ERROR: Command failed: 
INFO: WARNING: Probably non-rawhide buildroot used. Rawhide should be used for most package reviews
ERROR: 'mock build failed, see /home/nmavrogi/review/1251940-libebur128/results/build.log'
Comment 2 Christopher Meng 2015-08-14 07:58:20 EDT
ERROR: Command failed: 
INFO: WARNING: Probably non-rawhide buildroot used. Rawhide should be used for most package reviews?
Comment 3 Michael Schwendt 2015-08-14 08:06:17 EDT
What are the contents of the build.log?

ERROR: 'mock build failed, see /home/nmavrogi/review/1251940-libebur128/results/build.log'
Comment 4 Nikos Mavrogiannopoulos 2015-08-14 08:28:56 EDT
Nothing helpful unfortunately.

Mock Version: 1.2.12
ENTER do(['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target x86_64 --nodeps /builddir/build/SPECS/libebur128.spec'], chrootPath='/var/lib/mock/fedora-21-x86_64/root'uid=22220user='mockbuild'gid=135shell=Falsetimeout=0env={'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'printf "\x1b]0;<mock-chroot>\x07<mock-chroot>"', 'SHELL': '/bin/bash', 'CCACHE_UMASK': '002', 'TERM': 'vt100', 'CCACHE_DIR': '/tmp/ccache', 'HOME': '/builddir', 'LANG': 'en_US.UTF-8'}logger=<mockbuild.trace_decorator.getLog object at 0x7f0dc70f26d8>printOutput=False)
Executing command: ['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target x86_64 --nodeps /builddir/build/SPECS/libebur128.spec'] with env {'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'printf "\x1b]0;<mock-chroot>\x07<mock-chroot>"', 'SHELL': '/bin/bash', 'CCACHE_UMASK': '002', 'TERM': 'vt100', 'CCACHE_DIR': '/tmp/ccache', 'HOME': '/builddir', 'LANG': 'en_US.UTF-8'} and shell False
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/libebur128-1.0.2-1.fc21.src.rpm
Child return code was: 0
LEAVE do --> 

Mock Version: 1.2.12

Does fedora-review run on your system with that srpm?
Comment 5 Michael Schwendt 2015-08-14 12:07:22 EDT
Also look in fedora-review's build.log in parent dir:

INFO: mock.py version 1.2.10 starting (python version = 2.7.8)...
[...]
ERROR: Command failed: 
 # /usr/bin/yum-builddep --installroot /var/lib/mock/fedora-21-x86_64/root/ --releasever 21 /var/lib/mock/fedora-21-x86_64/root//builddir/build/SRPMS/libebur128-1.0.2-1.fc21.src.rpm --setopt=tsflags=nocontexts
Getting requirements for libebur128-1.0.2-1.fc21.src
 --> cmake-3.0.2-2.fc21.x86_64
 --> libsndfile-devel-1.0.25-14.fc21.x86_64
Error: No Package found for speexdsp-devel

That also appears in results/root.log
Comment 6 Christopher Meng 2015-08-14 23:01:09 EDT
Well, reviewers should review all packages under rawhide chroot.

Unfortunately SpeexDSP is ONLY available on f22+.

My fedora-review experience, is that using fedora-review -rvn /path/to/SRPM, and my system is rawhide always.

If you are on some elder systems, try append '-m /path/to/rawhide/mock/cfg/listed/below' to fedora-review option parameters:

$ ls /etc/mock/*rawhide*
/etc/mock/fedora-rawhide-aarch64.cfg
/etc/mock/fedora-rawhide-s390.cfg
/etc/mock/fedora-rawhide-armhfp.cfg
/etc/mock/fedora-rawhide-s390x.cfg
/etc/mock/fedora-rawhide-i386.cfg
/etc/mock/fedora-rawhide-sparc.cfg
/etc/mock/fedora-rawhide-ppc64.cfg
/etc/mock/fedora-rawhide-x86_64.cfg
/etc/mock/fedora-rawhide-ppc64le.cfg
Comment 7 Michael Schwendt 2015-08-15 03:18:58 EDT
Obviously. Still comment 1 and comment 4 raised my interest. ;)
Comment 8 Christopher Meng 2015-08-15 04:19:42 EDT
(In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment #7)
> Obviously. Still comment 1 and comment 4 raised my interest. ;)

I thought that Nikos reviewed this with f21 chroot.

rawhide chroot should be used as default of fedora-review, then let people choose using others or not.
Comment 9 Michael Schwendt 2015-08-15 07:01:05 EDT
Yes, that's what 

  | Config(fedora-21-x86_64)
and
  | chrootPath='/var/lib/mock/fedora-21-x86_64

indicated. But fedora-review pointing at a build.log that didn't contain any error wasn't helpful and didn't lead to anything. Hence the closer look.

Instead of "something wrong with the .src.rpm" the build failure is clear now.
Comment 10 Nikos Mavrogiannopoulos 2015-08-17 04:45:53 EDT
After using the -m option to fedora-review it made a build for rawhide correctly (why would I need to specify that manually anyway)... The only error reported by rpmlint is:
libebur128.x86_64: E: description-line-too-long C libebur128 is a library that implements the EBU R 128 standard for loudness normalisation.

As this is easy to fix, I'll approve the package and expect you to fix on commit.
Comment 11 Nikos Mavrogiannopoulos 2015-08-17 04:47:33 EDT
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libebur128-1.0.2-1.fc24.x86_64.rpm
          libebur128-devel-1.0.2-1.fc24.x86_64.rpm
          libebur128-1.0.2-1.fc24.src.rpm
libebur128.x86_64: W: spelling-error %description -l en_US normalisation -> normalization, formalization, malformation
libebur128.x86_64: W: spelling-error %description -l en_US samplerates -> sample rates, sample-rates, sampler
libebur128.x86_64: E: description-line-too-long C libebur128 is a library that implements the EBU R 128 standard for loudness normalisation.
libebur128.x86_64: W: no-documentation
libebur128-devel.x86_64: W: only-non-binary-in-usr-lib
libebur128.src: W: spelling-error %description -l en_US normalisation -> normalization, formalization, malformation
libebur128.src: W: spelling-error %description -l en_US samplerates -> sample rates, sample-rates, sampler
libebur128.src: E: description-line-too-long C libebur128 is a library that implements the EBU R 128 standard for loudness normalisation.
libebur128.src: W: strange-permission libebur128-1.0.2.tar.gz 640
3 packages and 0 specfiles checked; 2 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libebur128-debuginfo-1.0.2-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
libebur128-devel.x86_64: W: only-non-binary-in-usr-lib
libebur128.x86_64: E: description-line-too-long C libebur128 is a library that implements the EBU R 128 standard for loudness normalisation.
libebur128.x86_64: W: private-shared-object-provides /usr/lib64/libebur128.so.1.0.1 libebur128.so.1()(64bit)
libebur128.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 3 warnings.



Requires
--------
libebur128-devel (rpmlib, GLIBC filtered):
    libebur128(x86-64)
    libebur128.so.1()(64bit)
    speexdsp-devel(x86-64)

libebur128 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libspeexdsp.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
libebur128-devel:
    libebur128-devel
    libebur128-devel(x86-64)

libebur128:
    libebur128
    libebur128(x86-64)
    libebur128.so.1()(64bit)



Source checksums
----------------
https://github.com/jiixyj/libebur128/archive/v1.0.2.tar.gz#/libebur128-1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 9b334d31a26b47ba6740bb7bbee7a24461d535f426b1ed42368c187e27c08323
  CHECKSUM(SHA256) upstream package : 9b334d31a26b47ba6740bb7bbee7a24461d535f426b1ed42368c187e27c08323
Comment 12 Christopher Meng 2015-08-17 21:56:54 EDT
Will fix description problem in git, I'm switching editors recently, some troubles are pulled.

New Package SCM Request
=======================
Package Name: libebur128
Short Description: A library implementing the EBU R128 loudness standard
Upstream URL: https://github.com/jiixyj/libebur128
Owners: cicku
Branches: f23 f22
Comment 13 Gwyn Ciesla 2015-08-20 10:04:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.